describe Basil::CLI do

  it 'should be executable' do
    `bin/basil 2> /dev/null`
    $?.should_not == 0
  end

  it 'should have a help menu' do
    `bin/basil --help`.include?('help').should be_true
  end

  it 'should parse barcodes.csv files' do
    barcodes = Basil::CLI.parse_barcodes 'spec/data/barcodes.csv'
    barcodes.should == { "a" => "aaaaaaa", "g" => "ggggggg", "c" => "ccccccc", "t" => "ttttttt"}
  end

  it 'can parse an illumina output directory' do
    files = Basil::CLI.parse_illumina_directory 'spec/data/illumina'
    directory = {
      "001" => [
        {:lane=>"1", :pair=>"1", :n=>"001", :filename=>"spec/data/illumina/s_1_1_001_qseq.txt"},
        {:lane=>"1", :pair=>"2", :n=>"001", :filename=>"spec/data/illumina/s_1_2_001_qseq.txt"},
        {:lane=>"1", :pair=>"3", :n=>"001", :filename=>"spec/data/illumina/s_1_3_001_qseq.txt"}
      ]
    }
    files.should == directory
  end

  it 'should have a method for listing available barcode sets'
end
